Core - Bug # 43470

Status: Resolved Priority: Should have
Author: Stefan Neufeind Category: Database API
Created: 2012-11-29 Assigned To: Stefan Neufeind
Updated: 2012-12-01 Due date:

TYPO3 Version: 6.0

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subject: SQL engine parse ERROR: Still content in clause after parsing!: near "; "

Description

(this occured when using dbal - but problem is in the sql-parser in core)
How to reproduce:

- dbal activated

- installing "dam"

Fails with exception

SQL engine parse ERROR: Still content in clause after parsing!: near "; "

thrown in parseCREATEDATABASE() in
typo3/sysext/core/Classes/Database/SqlParser.php

Query leading to this:
string(308) "CREATE TABLE tx_dam_media_types (
uid int(11) NOT NULL auto_increment,
pid int(11) DEFAULT '0' NOT NULL,
ext varchar(5) DEFAULT " NOT NULL,
mime varchar(64) DEFAULT " NOT NULL,
type int(11) DEFAULT '0' NOT NULL,
icon varchar(64) DEFAULT " NOT NULL,
PRIMARY KEY (uid),
KEY parent (pid)
);

Doing a trim() on the query beforehand it works without any problems. | expect there are newlines or maybe a tab at the end of that
string.

Associated revisions

Revision c7e16¢67 - 2012-12-01 12:48 - Stefan Neufeind

[BUGFIX] SqlParser: trim all kinds of whitespaces

SqlParser only trimmed semicolon and newlines

from end of string. Make it strip all characters
usually stripped by trim().
Add a unit test to avoid regressions.

Change-Id: 12ddc1fca2ac0db1b6ca0989c93c37ab39e0675d8
Fixes: #43470

Releases: 4.5, 4.6, 4.7, 6.0, 6.1

Reviewed-on: http://review.typo3.org/16875

Tested-by: Stefan Neufeind

Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 4e7124f3 - 2012-12-01 13:00 - Stefan Neufeind
[BUGFIX] SqlParser: trim all kinds of whitespaces

SqlParser only trimmed semicolon and newlines

from end of string. Make it strip all characters

usually stripped by trim().

Add a unit test to avoid regressions.

Change-Id: 12ddc1fca2ac0db1b6ca0989¢c93c37ab39e0675d8
Fixes: #43470

Releases: 4.5, 4.6, 4.7, 6.0, 6.1
Reviewed-on: http://review.typo3.0rg/16912

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 5b031724 - 2012-12-01 13:00 - Stefan Neufeind

[BUGFIX] SqlParser: trim all kinds of whitespaces

SqlParser only trimmed semicolon and newlines
from end of string. Make it strip all characters

usually stripped by trim().

Change-Id: 12ddc1fca2ac0db1b6ca0989c93c37ab39e0675d8
Fixes: #43470

Releases: 4.5, 4.6, 4.7, 6.0, 6.1

Reviewed-on: http://review.typo3.org/16913

Reviewed-by: Christian Kuhn

Tested-by: Christian Kuhn

Revision f808df4f - 2012-12-01 13:01 - Stefan Neufeind

[BUGFIX] SqlParser: trim all kinds of whitespaces

SqlParser only trimmed semicolon and newlines
from end of string. Make it strip all characters
http://review.typo3.org/16875
http://review.typo3.org/16912
http://review.typo3.org/16913

usually stripped by trim().

Change-Id: 12ddc1fca2ac0db1b6ca0989c93c37ab39e0675d8
Fixes: #43470

Releases: 4.5, 4.6, 4.7, 6.0, 6.1

Reviewed-on: http://review.typo3.org/16914

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 339f7396 - 2012-12-01 13:01 - Stefan Neufeind

[BUGFIX] SqlParser: trim all kinds of whitespaces

SqlParser only trimmed semicolon and newlines
from end of string. Make it strip all characters

usually stripped by trim().

Change-Id: 12ddc1fca2ac0db1b6ca0989c93c37ab39e0675d8
Fixes: #43470

Releases: 4.5, 4.6, 4.7, 6.0, 6.1

Reviewed-on: http://review.typo3.org/16915

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2012-11-29 23:51 - Stefan Neufeind
- Assigned To set to Stefan Neufeind

#2 - 2012-11-29 23:58 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/16875

#3 - 2012-11-30 00:05 - Stefan Neufeind

Problem lies/can be fixed in trimSq|l() of the SqlParser in core. It's just triggered by that "random" whitespace-char in create table of dam. See review
for details.

#4 - 2012-11-30 01:15 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16875

#5 - 2012-11-30 23:42 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.

2015-08-04 3/4


http://review.typo3.org/16914
http://review.typo3.org/16915
http://review.typo3.org/16875
http://review.typo3.org/16875

It is available at http://review.typo3.org/16875

#6 - 2012-12-01 12:49 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.
It is available at http://review.typo3.org/16912

#7 - 2012-12-01 12:55 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-7 has been pushed to the review server.
It is available at http:/review.typo3.org/16913

#8 - 2012-12-01 12:57 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-6 has been pushed to the review server.
It is available at http://review.typo3.org/16914

#9 - 2012-12-01 12:57 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-5 has been pushed to the review server.
It is available at http://review.typo3.org/16915

#10 - 2012-12-01 13:30 - Stefan Neufeind
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:339f7396c8c00b7¢c101d1027947a93ecc0e6de97.
